=== debian/control ===
Source: optipng
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nelson A. de Oliveira <naoliv@debian.org>
Build-Depends: cdbs, debhelper (>= 7), zlib1g-dev, libpng12-dev
Standards-Version: 3.8.4
Homepage: http://optipng.sourceforge.net/

Package: optipng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: advanced PNG (Portable Network Graphics) optimizer
 OptiPNG is a PNG optimizer that recompresses the image files to a smaller
 size. It losslessly reduces the bit depth, the color type and the color
 palette of the image, runs a suite of compression methods and strategies,
 and selects the compression parameters that yield the smallest output file.
 It also recognizes several external file formats like BMP, GIF, TIFF and
 PNM (PBM, PGM, PPM).
