=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_MAKE_INSTALL_TARGET := install prefix=$(CURDIR)/debian/optipng/usr \
	mandir=$(CURDIR)/debian/optipng/usr/share/man

configure/optipng::
	./configure -with-system-zlib -with-system-libpng
