## optipng 0.7.5

=== debian/changelog ===
optipng (0.7.5-1ubuntu0.1) wily-security; urgency=medium

  * SECURITY UPDATE: out of bounds read/writes via malformed image
    - debian/patches/CVE-2016-2191.patch: properly check bounds in
      src/pngxtern/pngxrbmp.c.
    - CVE-2016-2191
  * SECURITY UPDATE: harmless out-of-bounds read
    - debian/patches/CVE-2015-7802.patch: properly set last_byte in
      src/gifread/gifread.c.
    - CVE-2015-7802

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 13 Apr 2016 13:46:31 -0400

optipng (0.7.5-1) unstable; urgency=medium

  * New upstream release (Closes: #687770)
  * Bump Standards-Version to 3.9.5
  * Build-Depends on libpng-dev instead of libpng12-dev (Closes: #662457)
  * Switch to debhelper >= 9
  * Add Vcs-* fields
  * Set Debian PhotoTools as maintainer and add myself to Uploaders
  * Enable test suite
  * Update debian/README.source according the last change in sources
  * Switch debian/copyright to DEP5 format
  * Switch from CDBS to full debhelper
  * Install optipng-check tool in examples directory (Closes: #602091)

 -- Emmanuel Bouthenot <kolter@debian.org>  Wed, 11 Jun 2014 13:48:40 +0200
