=== debian/control ===
--- 
+++ 
@@ -2,10 +2,15 @@
 Section: graphics
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nelson A. de Oliveira <naoliv@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), zlib1g-dev, libpng12-dev
-Standards-Version: 3.8.4
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Uploaders:
+    Nelson A. de Oliveira <naoliv@debian.org>,
+    Emmanuel Bouthenot <kolter@debian.org>
+Build-Depends: debhelper (>= 9), zlib1g-dev, libpng-dev
+Standards-Version: 3.9.5
 Homepage: http://optipng.sourceforge.net/
+Vcs-Git: git://anonscm.debian.org/pkg-phototools/optipng.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/optipng.git
 
 Package: optipng
 Architecture: any
