## optipng 0.7.6

=== debian/changelog ===
optipng (0.7.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Prevent integer overflow in minitiff_read_info() (CVE-2017-1000229)
    (Closes: #882032)
  * gifread: Detect indirect circular dependencies in LZW tables
    (CVE-2017-16938) (Closes: #878839)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 07 Dec 2017 20:43:29 +0100

optipng (0.7.6-1) unstable; urgency=medium

  * New upstream release
    - fix CVE-2016-2191: Invalid write while processing delta escapes
      without any boundary checking (Closes: #820068)
    - fix CVE-2015-7802: Buffer overflow in global memory (Closes: #801700)
  * Enable hardening=+all build
  * Fix Vcs-(Git|Browser) fields to use secure URIs
  * Bump Standards-Version to 3.9.7
  * Add a patch to fix typo in manpage

 -- Emmanuel Bouthenot <kolter@debian.org>  Fri, 08 Apr 2016 23:13:38 +0200
