=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: optipng
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders:
     Nelson A. de Oliveira <naoliv@debian.org>,
     Emmanuel Bouthenot <kolter@debian.org>
 Build-Depends: debhelper (>= 9), zlib1g-dev, libpng-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.7
 Homepage: http://optipng.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/pkg-phototools/optipng.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/optipng.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-phototools/optipng.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-phototools/optipng.git
 
 Package: optipng
 Architecture: any
