=== debian/watch ===
version=3
http://sf.net/optipng/optipng-(.*)\.tar\.gz
