## optipng 0.7.7

=== debian/changelog ===
optipng (0.7.7-2) unstable; urgency=medium

  * Switch debian/watch to version 4
  * Update debian/upstream/metadata
    - Remove useless HomePage field
    - Add Repository and Repository-Browse fields
  * Switch debhelper compatibility to 13
  * Bump Standards-Version to 4.6.0.1
  * Set Rules-Requires-Root to no
  * Remove Nelson A. de Oliveira <naoliv@debian.org> from Uploaders
    (Closes: #962112)

 -- Emmanuel Bouthenot <kolter@debian.org>  Sat, 11 Sep 2021 21:17:21 +0000

optipng (0.7.7-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-Git and Vcs-Browser with new repository on salsa.debian.org
  * Fix debian/copyright Format URI to use https
  * Switch debhelper compatibility to 12
  * Bump Standards-Version to 4.3.0
  * Add debian/upstream/metadata

 -- Emmanuel Bouthenot <kolter@debian.org>  Sat, 16 Feb 2019 01:14:15 +0000
