=== debian/control ===
--- 
+++ 
@@ -3,13 +3,17 @@
 Priority: optional
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders:
-    Nelson A. de Oliveira <naoliv@debian.org>,
     Emmanuel Bouthenot <kolter@debian.org>
-Build-Depends: debhelper (>= 9), zlib1g-dev, libpng-dev
-Standards-Version: 3.9.7
+Build-Depends:
+    debhelper (>= 13),
+    debhelper-compat (= 13),
+    zlib1g-dev,
+    libpng-dev
+Standards-Version: 4.6.0.1
+Rules-Requires-Root: no
 Homepage: http://optipng.sourceforge.net/
-Vcs-Git: https://anonscm.debian.org/git/pkg-phototools/optipng.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-phototools/optipng.git
+Vcs-Git: https://salsa.debian.org/debian-phototools-team/optipng.git
+Vcs-Browser: https://salsa.debian.org/debian-phototools-team/optipng
 
 Package: optipng
 Architecture: any
