=== debian/watch ===
version=4
http://sf.net/optipng/optipng-(.*)\.tar\.gz
