## optipng 0.7.8+ds

=== debian/changelog ===
optipng (0.7.8+ds-1) unstable; urgency=medium

  [ xiao sheng wen ]
  * Team upload.
  * New upstream version
  * d/copyright:
      - update upstream year info to 2023
      - update cexcept.h path and year info
      - update debian year info to 2024
      - add Files-Excluded field for remove third_party
  * d/watch: add opts="dversionmangle=auto, repacksuffix=+ds"
  * d/gbp.conf: add pristine-tar = True, remove useless [import-orig]

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Remove obsolete field Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 01 Feb 2024 11:11:35 +0800

optipng (0.7.7-3) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Fix FTCBFS: Export triplet-prefixed CC (Closes: 845817)

  [ xiao sheng wen ]
  * Bump Standards-Version: 4.6.2
  * d/control:
      - add Multi-Arch: foreign (Closes: #1002076)
      - Build-Depends remove debhelper (>= 13), useless
  * d/copyright: update year info to 2023
  * delete d/dirs, useless

 -- xiao sheng wen <atzlinux@sina.com>  Fri, 08 Sep 2023 18:39:40 +0800
