=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Uploaders:
     Emmanuel Bouthenot <kolter@debian.org>
 Build-Depends:
-    debhelper (>= 13),
     debhelper-compat (= 13),
     zlib1g-dev,
-    libpng-dev
-Standards-Version: 4.6.0.1
+    libpng-dev,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: http://optipng.sourceforge.net/
+Homepage: https://optipng.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/optipng.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/optipng
 
 Package: optipng
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: advanced PNG (Portable Network Graphics) optimizer
  OptiPNG is a PNG optimizer that recompresses the image files to a smaller
