=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/architecture.mk
ifeq ($(origin CC),default)
CC := $(DEB_HOST_GNU_TYPE)-gcc
endif
export CC

override_dh_auto_configure:
	./configure -prefix=/usr -mandir=/usr/share/man -with-system-libs

override_dh_installchangelogs:
	dh_installchangelogs -k

%:
	dh $@
