=== debian/changelog ===
optipng (7.9.1+ds-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version: 4.7.2
  * d/control: Build-Depends add cmake, Closes: #1111272, Thanks Gui Yue

 -- xiao sheng wen <atzlinux@debian.org>  Sat, 16 Aug 2025 22:25:44 +0800

optipng (7.9.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.9.1+ds
  * d/rules:
      - use --buildsystem=cmake
      - add export DEB_BUILD_MAINT_OPTIONS = hardening=+all
  * d/copyright:
      - update year info to 2025
      - update Files: third_party/gifread/* infos
      - add License: BSL-1.0 for third_party directory
  * refresh patches, delete d/p directory
  * d/doc-base: remove Format: PDF, add Format: Text, add new html file

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 14 Aug 2025 18:32:24 +0800
