=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
     Emmanuel Bouthenot <kolter@debian.org>
 Build-Depends:
     debhelper-compat (= 13),
+    cmake,
     zlib1g-dev,
     libpng-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://optipng.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/optipng.git
