=== debian/watch ===
version=4

opts="dversionmangle=auto, repacksuffix=+ds" \
http://sf.net/optipng/optipng-(.*)\.tar\.gz
